
%define plugin	xineliboutput
%define name	vdr-plugin-%plugin
%define version	1.0.0
%define prever	pre1
%define rel	4
%if %prever
%define release	%mkrel 1.%prever.%rel
%else
%define release %mkrel %rel
%endif

%define xineplugindir	%(xine-config --plugindir)
%define xineversion	%(xine-config --version || echo 0)

Summary:	VDR plugin: X11/xine-lib output plugin
Name:		%name
Version:	%version
Release:	%release
Group:		Video
License:	GPL
URL:		http://users.tkk.fi/~phintuka/vdr/vdr-xineliboutput/
%if %prever
Source:		http://users.tkk.fi/~phintuka/vdr/vdr-xineliboutput/vdr-%plugin-%{version}%{prever}.tar.bz2
%else
Source:		http://users.tkk.fi/~phintuka/vdr/vdr-xineliboutput/vdr-%plugin-%version.tar.bz2
%endif
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	vdr-devel >= 1.4.1-6
%if %mdkversion >= 200700
BuildRequires:	libx11-devel
BuildRequires:	libxv-devel
%else
BuildRequires:	X11-devel
%endif
BuildRequires:	libxine-devel
BuildRequires:	jpeg-devel
Requires:	vdr-abi = %vdr_abi

%description
Framebuffer and/or X11 front-end for VDR. Displays OSD and video in
a raw X/Xv/XvMC window, Linux framebuffer/DirectFB or xine.

Support for local and standalone ("remote") frontends. The plugin is
able to use local pipe, RTP/UDP multicast, UDP unicast and TCP to
transfer the data to the standalone clients.

Built-in image and media player supports playback of most known
media files and network radio/video streams directly from VDR.

Frontends are in separate xineliboutput-fe-* packages.

%package -n %plugin-fe-xine
Group:		Video
Summary:	Xine frontend for the xineliboutput VDR plugin
Requires:	xine-plugins = %xineversion
Provides:	vdr-plugin-xineliboutput-frontend-xine
Obsoletes:	vdr-plugin-xineliboutput-frontend-xine
%description -n %plugin-fe-xine
With this package you can connect to your VDR with xine with an MRL
like below:
xvdr://127.0.0.1#nocache;demux:mpeg_block

%package -n %plugin-fe-fb
Group:		Video
Summary:	Framebuffer/DirectFB frontends for the xineliboutput VDR plugin
Requires:	%name = %version
Requires:	%plugin-fe-xine = %version
Provides:       vdr-plugin-xineliboutput-frontend-local-fb
Obsoletes:      vdr-plugin-xineliboutput-frontend-local-fb
Provides:       vdr-plugin-xineliboutput-frontend-standalone-fb
Obsoletes:      vdr-plugin-xineliboutput-frontend-standalone-fb
Provides:	xineliboutput-fe-local-fb
Obsoletes:	xineliboutput-fe-local-fb
Provides:	xineliboutput-fe-standalone-fb
Obsoletes:	xineliboutput-fe-standalone-fb
%description -n %plugin-fe-fb
This package contains the local and standalone framebuffer/DirectFB
frontends for the xineliboutput VDR plugin.

%package -n %plugin-fe-x11
Group:		Video
Summary:	X11 frontends for the xineliboutput VDR plugin
Requires:	%name = %version
Requires:	%plugin-fe-xine = %version
Provides:       vdr-plugin-xineliboutput-frontend-local-x11
Obsoletes:      vdr-plugin-xineliboutput-frontend-local-x11
Provides:       vdr-plugin-xineliboutput-frontend-standalone-x11
Obsoletes:      vdr-plugin-xineliboutput-frontend-standalone-x11
Provides:	xineliboutput-fe-local-x11
Obsoletes:	xineliboutput-fe-local-x11
Provides:	xineliboutput-fe-standalone-x11
Obsoletes:	xineliboutput-fe-standalone-x11
%description -n %plugin-fe-x11
This package contains the local and standalone X/Xv/XvMC frontends
for the xineliboutput VDR plugin.

%prep
%if %prever
%setup -q -n %plugin-%version%prever
%else
%setup -q -n %plugin-%version
%endif
find -name CVS -type d | while read i; do rm -r "$i" || exit 1; done
perl -pi -e 's,X11R6/lib,X11R6/%{_lib},' Makefile

%vdr_plugin_params_begin %plugin
# Local frontend
# Supported frontends:
# sxfe (X11)
# fbfe (framebuffer)
# none (only remote frontends)
var=LOCAL
param=--local=LOCAL
# Video driver
# Supported values:
# for sxfe: auto, x11, xshm, xv, xvmc, xxmc, none
# for fbfe: auto, fb, DirectFB, none
var=VIDEO
param=--video=VIDEO
# Audio driver
# Supported values: auto, alsa, oss, arts, esound, none
var=AUDIO
param=--audio=AUDIO
# No local frontend, only remote
var=NO_LOCAL
param=--nolocal
# X11 keyboard in use
var=XKEYBOARD
param=--xkeyboard
# Port where to listen for remote clients
var=REMOTE_PORT
param=--remote=REMOTE_PORT
# No remote clients
var=NO_REMOTE
param=--noremote
# Fullscreen mode (X11)
var=FULLSCREEN
param=--fullscreen
# Window mode (X11)
var=WINDOW
param=--window
# Use X11 display DISP
var=DISP
param=--display=DISP
# Use xine post plugin POST
# format: pluginname[:arg=val[,arg=val]][,...]
# example: "upmix;tvtime:enabled=1,cheap_mode=1"
var=POST
param=--post=POST
# Force xineliboutput to be primary device when
# there are active frontend(s)
var=PRIMARY
param=--primary
%vdr_plugin_params_end

mkdir xine-plugins

%build

%vdr_plugin_build XINEPLUGINDIR=xine-plugins

%install
rm -rf %{buildroot}
%vdr_plugin_install

install -d -m755 %buildroot%{xineplugindir}
install -m755 xine-plugins/*.so %buildroot%{xineplugindir}

install -d -m755 %buildroot%_bindir
install -m755 vdr-fbfe vdr-sxfe %buildroot%_bindir

install -m755 libxineliboutput-*.so.* %{buildroot}%{_vdr_plugin_dir}

%post
%vdr_plugin_post %plugin

%postun
%vdr_plugin_postun %plugin

%clean
rm -rf %{buildroot}

%files -f %plugin.vdr
%defattr(-,root,root)
%doc README HISTORY examples

%files -n %plugin-fe-xine
%defattr(-,root,root)
%doc README
%{xineplugindir}/*.so

%files -n %plugin-fe-fb
%defattr(-,root,root)
%doc README
%{_vdr_plugin_dir}/libxineliboutput-fbfe.so.*
%_bindir/vdr-fbfe

%files -n %plugin-fe-x11
%defattr(-,root,root)
%doc README
%{_vdr_plugin_dir}/libxineliboutput-sxfe.so.*
%_bindir/vdr-sxfe

%changelog
* Wed Sep 06 2006 Anssi Hannula <anssi@mandriva.org> 1.0.0-0.pre1.4mdv2007.0
- rebuild for new vdr

* Wed Aug 23 2006 Anssi Hannula <anssi@mandriva.org> 1.0.0-0.pre1.3mdv2007.0
- stricter abi requires

* Sun Aug 06 2006 Anssi Hannula <anssi@mandriva.org> 1.0.0-0.pre1.2mdv2007.0
- rebuild for new vdr

* Thu Jul 27 2006 Anssi Hannula <anssi@mandriva.org> 1.0.0-0.pre1.1mdv2007.0
- 1.0.0pre1
- combine few frontend packages to shorten package names again

* Tue Jul 25 2006 Anssi Hannula <anssi@mandriva.org> 0.99-2mdv2007.0
- rebuild for new vdr

* Wed Jul 12 2006 Anssi Hannula <anssi@mandriva.org> 0.99-1mdv2007.0
- 0.99 final

* Mon Jul 10 2006 Anssi Hannula <anssi@mandriva.org> 0.99-0.rc5.4mdv2007.0
- rebuild for xine-lib 1.1.2
- shorten package names

* Mon Jun 19 2006 Anssi Hannula <anssi@mandriva.org> 0.99-0.rc5.3mdv2007.0
- use _ prefix for system path macros

* Wed Jun 14 2006 Anssi Hannula <anssi@mandriva.org> 0.99-0.rc5.2mdv2007.0
- fix buildrequires

* Mon Jun 12 2006 Anssi Hannula <anssi@mandriva.org> 0.99-0.rc5.1mdv2007.0
- 0.99rc5
- drop patch1, patch2, fixed upstream
- improve description

* Sun Jun 11 2006 Anssi Hannula <anssi@mandriva.org> 0.99-0.rc4.3mdv2007.0
- fix empty version macro when libxine-devel not yet installed

* Sun Jun 11 2006 Anssi Hannula <anssi@mandriva.org> 0.99-0.rc4.2mdv2007.0
- fix requires of local frontends

* Sun Jun 11 2006 Anssi Hannula <anssi@mandriva.org> 0.99-0.rc4.1mdv2007.0
- initial Mandriva release
